{ config, pkgs, lib, ... }:

let
  cfg = config.samfelag.modules.system.devices.voyager;
in
{
  options.samfelag.modules.system.devices.voyager = {
    enable = lib.mkEnableOption "voyager";
  };

  config = lib.mkIf cfg.enable {
    hardware.keyboard.zsa.enable = true;
    environment.systemPackages = with pkgs; [
      keymapp
    ];
  };
}
